hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 20000

ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000

spring:
  #mq
  rabbitmq:
    host: 192.168.2.241
    port: 5672
    username: lantone
    password: lantone
    publisher-confirms: true
    virtual-host: /
  cloud:
    stream:
      bindings:
        outputLog:
          destination: myLog
      #          contentType: text/plain      # 实体 json string 在传递的类型装换 查看 http://docs.spring
    gateway:
      default-filters:
      routes:
      - id: user-service
        uri: lb://user-service
        predicates:
        - Path=/api/user/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: logger-service
        uri: lb://logger-service
        predicates:
        - Path=/api/log/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: bi-service
        uri: lb://bi-service
        predicates:
        - Path=/api/bi/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: diagbotman-service
        uri: lb://diagbotman-service
        predicates:
        - Path=/api/diagbotman/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: feedback-service
        uri: lb://feedback-service
        predicates:
        - Path=/api/feedback/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: knowledge-service
        uri: lb://knowledge-service
        predicates:
        - Path=/api/knowledge/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: icssold
        uri: http://192.168.2.164:8080
        predicates:
        - Path=/api/icssold/**
        filters:
        - StripPrefix=2
      - id: triage-service
        uri: lb://triage-service
        predicates:
        - Path=/api/triage/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: icss-service
        uri: lb://icss-service
        predicates:
        - Path=/api/icss/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2
      - id: icssman-service
        uri: lb://icssman-service
        predicates:
        - Path=/api/icssman/**
        filters:
        - SwaggerHeaderFilter
        - StripPrefix=2


server:
  port: 5050

lantone:
  product: triage33,1;icsstt,2

